# Class CIM_ElementSoftwareIdentity
extends CIM_Dependency

ElementSoftwareIdentity allows a Managed Element to report its software related asset information (firmware, drivers, configuration software, and etc.)

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ElementSoftwareIdentity

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | ElementSoftwareIdentity allows a Managed Element to report its software related asset information (firmware, drivers, configuration software, and etc.)
UMLPackagePath | string | CIM::Core::Software
Version | string | 2.20.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherUpgradeCondition | string |
Description | string | Describes the upgrade condition, when UpgradeCondition is set to 1 ("Other").
ModelCorrespondence | string | CIM_ElementSoftwareIdentity.UpgradeCondition
UpgradeCondition | uint16 |

Description

string

Indicates the element's ability to upgrade this software asset. 'Resides off element'(2), indicates the persistence of the software is outside of the element. Typically for a element this software is part of the OperatingSystem is typically upgradeable. 'Owner Upgradeable' (3), indicates the persistence of the software is on the element and is upgradeable by the owner. 'FactoryUpgradeable' (4),indicates the persistence of the software is on the element and is upgradeable by the manufacturer. 'Not Upgradeable' (5), indicates the presistence of the software is on the element and is not upgradeable. (i.e. burned into a non replaceable ROM chip.

ModelCorrespondence | string | CIM_ElementSoftwareIdentity.OtherUpgradeCondition
ValueMap | string | 0, 1, 2, 3, 4, 5, .., 0x8000..0xFFFF
Values | string | Unknown, Other, Resides off device, Owner Upgradeable, Factory Upgradeable, Not Upgradeable, DMTF Reserved, Vendor Reserved
ElementSoftwareStatus | uint16[] |

Description

string

A collection of properties describing the status of the software on the managed element. Multiple properties could be set at the same time. For example a ElementSoftwareStatus could have "Installed", "Default", "Current" and "FallBack" set at the same time. "Current" indicates that the software is currently running on or for the Managed Element. "Next" indicates that the software will run after the next reset or reboot unless superseded by a software with a status of "SingleUse". "FallBack" indicates that the software will be run if the software which has a status of "Next" or "SingleUse" fails to run. "Default" indicates the default version of the software that was originally shipped by the manufacturer. "Installed" indicates that the software is persistently located and is available for use on the Managed Element. "SingleUse" indicates that the software will run only after the next reset or reboot but will not run after the subsequent reset or reboot. "Available" indicates that the software is available for installation on the Managed Element. "Supports"indicates that the software will work with or operate the Managed Element but is or will be installed on a different Managed Element.

ValueMap | string | 0, 2, 3, 4, 5, 6, 7, 8, 9, .., 32768..65535
Values | string | Unknown, Current, Next, FallBack, Default, Installed, Single Use, Available, Supports, DMTF Reserved, Vendor Reserved

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ElementSoftwareIdentity | CIM_SoftwareIdentity
Dependent | CIM_ElementSoftwareIdentity | CIM_ManagedElement

## Class Methods